GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::AReleaseRPPDU Class Reference

AReleaseRPPDU Table 9-25 A-RELEASE-RP PDU fields. More...

`#include <gdcmAReleaseRPPDU.h>`

Inheritance diagram for gdcm::network::AReleaseRPPDU:
[legend]
Collaboration diagram for gdcm::network::AReleaseRPPDU:
[legend]

## Public Member Functions

| AReleaseRPPDU ()
bool | IsLastFragment () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()

## Detailed Description

AReleaseRPPDU Table 9-25 A-RELEASE-RP PDU fields.

## Constructor & Destructor Documentation

gdcm::network::AReleaseRPPDU::AReleaseRPPDU | ( |  | ) |

## Member Function Documentation

bool gdcm::network::AReleaseRPPDU::IsLastFragment | ( |  | ) | const

inlinevirtual

Implements gdcm::network::BasePDU.

void gdcm::network::AReleaseRPPDU::Print | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

std::istream& gdcm::network::AReleaseRPPDU::Read | ( | std::istream & | is | ) |

virtual

Implements gdcm::network::BasePDU.

size_t gdcm::network::AReleaseRPPDU::Size | ( |  | ) | const

virtual

Implements gdcm::network::BasePDU.

const std::ostream& gdcm::network::AReleaseRPPDU::Write | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

The documentation for this class was generated from the following file:

- gdcmAReleaseRPPDU.h